%define oname		mx
%define name		lib%{oname}
%define libversion	1.0
%define gir_major	1.0

%define major           2
%define libname		%mklibname %{oname} %{libversion} %{major}
%define develname	%mklibname %{oname} %{libversion} -d
%define girname		%mklibname %{oname}-gir %{gir_major}

%define gtkmajor	0
%define	gtklibname	%mklibname %{oname}-gtk %{libversion} %{gtkmajor}
%define	gtkdevelname	%mklibname %{oname}-gtk	%{libversion} -d
%define	gtkgirname	%mklibname %{oname}-gtk-gir %{gir_major}

%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:		%{name}
Version:	1.4.1
Release:	%mkrel 4
Summary:	A clutter widget toolkit

Group:		System/Libraries
License:	LGPLv2
URL:		http://www.clutter-project.org
Source0:	http://source.clutter-project.org/sources/mx/%{url_ver}/mx-%{version}.tar.xz
Patch0:		mx-1.4.1-gdk-pixbuf.patch
BuildRequires:	clutter-imcontext-devel
BuildRequires:	clutter-gesture-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gtk2-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	startup-notification-devel
BuildRequires:	intltool
#BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  gobject-introspection-devel

%description
Mx is a widget toolkit using Clutter that provides a set of standard interface
elements, including buttons, progress bars, scroll bars and others. It also
implements some standard  managers. One other interesting feature is the
possibility setting style properties from a CSS format file.

%package utils
Summary:	Utilities for %{name}
Group:		Development/Other

%description utils
Mx is a widget toolkit using Clutter that provides a set of standard interface
elements, including buttons, progress bars, scroll bars and others. It also
implements some standard  managers. One other interesting feature is the
possibility setting style properties from a CSS format file.

This package contains mx-create-image-cache util.

%package -n %{libname}
Summary:	Run-time library for %{name} clutter widget toolkit
Group:		System/Libraries
Requires:	%{name}-utils = %{version}-%{release}

%description -n %{libname}
Run-time library for the %{name} clutter widget toolkit.

%package -n %{gtklibname}
Summary:        Run-time library for %{name} clutter GTK widget toolkit
Group:          System/Libraries

%description -n %{gtklibname}
Run-time library for the %{name} clutter GTK widget toolkit.

%package -n %{develname}
Summary:	Development package for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files and libraries used for development with MX toolkit.

%package -n %{gtkdevelname}
Summary:        Development package for %{name} GTK widgets
Group:          Development/Other
Requires:	%{gtklibname} = %{version}-%{release}
Provides:	%{name}-gtk-devel = %{version}-%{release}

%description -n %{gtkdevelname}
Header files and libraries used for development with MX tolkit.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{gtkgirname}
Summary:	GObject Introspection interface description for %{name} using GTK widgets
Group:		System/Libraries
Requires:	%{gtklibname} = %{version}-%{release}

%description -n %{gtkgirname}
GObject Introspection interface description for %{name}-gtk.

%prep
%setup -q -n mx-%{version}
%patch0 -p1 -b .gdk-pixbuf

%build
%configure2_5x \
	--disable-static \
	--enable-introspection \
	--with-clutter-imcontext \
	--with-clutter-gesture
%make V=1

%install
rm -rf %{buildroot}
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{oname}-1.0

%clean
rm -rf %{buildroot}

%files utils -f mx-1.0.lang
%defattr(-,root,root,-)
%doc COPYING.LIB README ChangeLog
%{_bindir}/mx-create-image-cache
%{_datadir}/%{oname}

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/%{name}-%{libversion}.so.%{major}*

%files -n %{gtklibname}
%defattr(-,root,root,-)
%{_libdir}/%{name}-gtk-%{libversion}.so.%{gtkmajor}*

%files -n %{girname}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Mx-%{gir_major}.typelib

%files -n %{gtkgirname}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/MxGtk-%{gir_major}.typelib

%files -n %{develname}
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/%{oname}
%dir %{_includedir}/%{oname}-%{libversion}
%{_includedir}/%{oname}-%{libversion}/%{oname}
%{_libdir}/pkgconfig/%{oname}-%{libversion}.pc
%{_libdir}/%{name}-%{libversion}.so
%{_datadir}/gir-1.0/Mx-%{gir_major}.gir

%files -n %{gtkdevelname}
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/%{oname}-gtk
%{_includedir}/%{oname}-%{libversion}/%{oname}-gtk
%{_libdir}/pkgconfig/%{oname}-gtk-%{libversion}.pc
%{_libdir}/%{name}-gtk-%{libversion}.so
%{_datadir}/gir-1.0/MxGtk-%{gir_major}.gir


%changelog

* Tue Mar 06 2012 fwang <fwang> 1.4.1-4.mga2
+ Revision: 220653
- rebuild for new cogl

* Wed Feb 22 2012 wally <wally> 1.4.1-3.mga2
+ Revision: 212388
- rebuild for new cogl

* Tue Jan 17 2012 fwang <fwang> 1.4.1-2.mga2
+ Revision: 197233
- rediff gdk-pixbuf patch

* Thu Nov 24 2011 wally <wally> 1.4.1-1.mga2
+ Revision: 171698
- new version 1.4.1

* Tue Nov 22 2011 wally <wally> 1.4.0-2.mga2
+ Revision: 171068
- rebuild for new cogl and clutter

* Fri Nov 11 2011 wally <wally> 1.4.0-1.mga2
+ Revision: 166773
- new version 1.4.0
- rediff P0

* Mon Sep 19 2011 wally <wally> 1.3.0-2.mga2
+ Revision: 145684
- rebuild for new cogl
- fix -devel package group tags
- new version 1.3.0
- add P0 from Fedora
- enable introspection
- don't regenerate gtk-docs

  + fwang <fwang>
    - rebuild for new cogl

* Tue Jul 05 2011 wally <wally> 1.2.0-2.mga2
+ Revision: 118705
- rebuild for new cogl

* Mon Jul 04 2011 wally <wally> 1.2.0-1.mga2
+ Revision: 118494
- disable introspection for now
- create own subpackages for gir .typelibs
- create own subpackages for gtk parts
- clean .spec

  + cjw <cjw>
    - imported package libmx

